API Gateway

Overview

SCP에서 제공하는 IaaS/PaaS 상품을 프로그램적으로 이용할 수 있도록 지원하는 응용 프로그램 인터페이스(Application Programming Interface, API)를 제공합니다.

본 가이드는 API Gateway 서비스에 대한 간략한 설명 및 API를 호출하는 방법을 제공합니다. API는 RESTful API 방식으로 제공되며, JSON 형식으로 응답합니다.

Version

VersionStatusSupported Until
1.0DEPRECATED20251231
1.1DEPRECATED20260430
1.2CURRENT-

OpenAPI URL

https://apigateway.{region}.{environment}.samsungsdscloud.com

Environment and Region List

environmentregion
skr-west1
skr-east1
gkr-south1
gkr-south2
gkr-south3
ekr-west1
ekr-east1

1 - APIs

1.1 - Approve PrivateLink Endpoint

1.1.1 - 1.2

put /v1/privatelink-endpoints/{privatelink_endpoint_id}/approval

Description

PrivateLink 엔드포인트를 승인한다

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathprivatelink_endpoint_id
required
PrivateLink 엔드포인트 ID
Example : 27bb070b564349f8a31cc60734cc36a5
stringNone
bodybody
required

PrivateLinkEndpointApprovalRequest

Responses

HTTP CodeDescriptionSchema
200OKPrivateLinkEndpointSummaryShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/privatelink-endpoints/{privatelink_endpoint_id}/approval

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.2"

Request body

{
    "api_id": "27bb070b564349f8a31cc60734cc36a5",
    "type": "CANCEL"
}

Example HTTP response

Response 200

{
    "privatelink_endpoint": {
        "created_at": "2024-05-17T00:23:17Z",
        "id": "27bb070b564349f8a31cc60734cc36a5",
        "status": "Active"
    }
}

1.2 - Connect PrivateLink Endpoint

1.2.1 - 1.2

put /v1/privatelink-endpoints/{privatelink_endpoint_id}/connection

Description

PrivateLink 엔드포인트를 연결한다

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathprivatelink_endpoint_id
required
PrivateLink 엔드포인트 ID
Example : 27bb070b564349f8a31cc60734cc36a5
stringNone
bodybody
required

PrivateLinkEndpointConnectionRequest

Responses

HTTP CodeDescriptionSchema
200OKPrivateLinkEndpointSummaryShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/privatelink-endpoints/{privatelink_endpoint_id}/connection

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.2"

Request body

{
    "api_id": "27bb070b564349f8a31cc60734cc36a5",
    "type": "CANCEL"
}

Example HTTP response

Response 200

{
    "privatelink_endpoint": {
        "created_at": "2024-05-17T00:23:17Z",
        "id": "27bb070b564349f8a31cc60734cc36a5",
        "status": "Active"
    }
}

1.3 - Create AccessControl

1.3.1 - 1.2

post /v1/apis/{api_id}/access-controls

Description

접근제어를 생성한다

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathapi_id
required
Api ID
Example :
stringNone
bodybody
required

AccessControlCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedAccessControlCreateResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/apis/{api_id}/access-controls

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.2"

Request body

{
    "allowed_ip_addr": [
        "127.0.0.1/24,192.168.127.12"
    ],
    "connected_stages": [
        "dev,stg"
    ],
    "description": "description",
    "name": "DenyTest"
}

Example HTTP response

Response 201

{
    "allowed_ip_addr": [
        "127.0.0.1/24,192.168.127.12"
    ],
    "connected_stages": [
        "dev,stg"
    ],
    "created_at": "2024-05-19T00:23:17Z",
    "description": "",
    "id": "27bb070b564349f8a31cc60734cc36a5",
    "name": "DenyTest"
}

1.3.2 - 1.1

post /v1/apis/{api_id}/access-controls

Description

접근제어를 생성한다

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
pathapi_id
required
Api ID
Example :
stringNone
bodybody
required

AccessControlCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedAccessControlCreateResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/apis/{api_id}/access-controls

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.1"

Request body

{
    "allowed_ip_addr": [
        "127.0.0.1/24,192.168.127.12"
    ],
    "connected_stages": [
        "dev,stg"
    ],
    "description": "description",
    "name": "DenyTest"
}

Example HTTP response

Response 201

{
    "allowed_ip_addr": [
        "127.0.0.1/24,192.168.127.12"
    ],
    "connected_stages": [
        "dev,stg"
    ],
    "created_at": "2024-05-19T00:23:17Z",
    "description": "",
    "id": "27bb070b564349f8a31cc60734cc36a5",
    "name": "DenyTest"
}

1.3.3 - 1.0

post /v1/apis/{api_id}/access-controls

Description

접근제어를 생성한다

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathapi_id
required
Api ID
Example :
stringNone
bodybody
required

AccessControlCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedAccessControlCreateResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/apis/{api_id}/access-controls

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.0"

Request body

{
    "allowed_ip_addr": [
        "127.0.0.1/24,192.168.127.12"
    ],
    "connected_stages": [
        "dev,stg"
    ],
    "description": "description",
    "name": "DenyTest"
}

Example HTTP response

Response 201

{
    "allowed_ip_addr": [
        "127.0.0.1/24,192.168.127.12"
    ],
    "connected_stages": [
        "dev,stg"
    ],
    "created_at": "2024-05-19T00:23:17Z",
    "description": "",
    "id": "27bb070b564349f8a31cc60734cc36a5",
    "name": "DenyTest"
}

1.4 - Create Api

1.4.1 - 1.2

post /v1/apis

Description

API를 생성한다

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

ApiCreateRequestV1Dot2

Responses

HTTP CodeDescriptionSchema
202AcceptedApiCreateResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/apis

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.2"

Request body

{
    "description": "description",
    "endpoint_type": "REGION",
    "id": "",
    "name": "test-api",
    "tags": [
        {
            "key": "key",
            "value": "value"
        }
    ]
}

Example HTTP response

Response 202

{
    "description": "Description",
    "id": "27bb070b564349f8a31cc60734cc36a5",
    "name": "test-api"
}

1.4.2 - 1.1

post /v1/apis

Description

API를 생성한다

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

ApiCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedApiCreateResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/apis

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.1"

Request body

{
    "description": "description",
    "id": "",
    "name": "test-api",
    "tags": [
        {
            "key": "key",
            "value": "value"
        }
    ]
}

Example HTTP response

Response 202

{
    "description": "Description",
    "id": "27bb070b564349f8a31cc60734cc36a5",
    "name": "test-api"
}

1.4.3 - 1.0

post /v1/apis

Description

API를 생성한다

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

ApiCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedApiCreateResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/apis

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.0"

Request body

{
    "description": "description",
    "id": "",
    "name": "test-api",
    "tags": [
        {
            "key": "key",
            "value": "value"
        }
    ]
}

Example HTTP response

Response 202

{
    "description": "Description",
    "id": "27bb070b564349f8a31cc60734cc36a5",
    "name": "test-api"
}

1.5 - Create Api Deployment

1.5.1 - 1.2

post /v1/apis/{api_id}/deployments

Description

API를 배포한다

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathapi_id
required
Api ID
Example : 31e749b7b260868f441e862b
stringNone
bodybody
required

ApiDeploymentRequest

Responses

HTTP CodeDescriptionSchema
200OKApiDeploymentResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/apis/{api_id}/deployments

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.2"

Request body

{
    "description": "description",
    "stage_name": "test-stage",
    "stage_type": "new"
}

Example HTTP response

Response 200

{
    "deployment_id": "27bb070b564349f8a31cc60734cc36a5",
    "description": "description"
}

1.5.2 - 1.1

post /v1/apis/{api_id}/deployments

Description

API를 배포한다

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
pathapi_id
required
Api ID
Example : 31e749b7b260868f441e862b
stringNone
bodybody
required

ApiDeploymentRequest

Responses

HTTP CodeDescriptionSchema
200OKApiDeploymentResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/apis/{api_id}/deployments

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.1"

Request body

{
    "description": "description",
    "stage_name": "test-stage",
    "stage_type": "new"
}

Example HTTP response

Response 200

{
    "deployment_id": "27bb070b564349f8a31cc60734cc36a5",
    "description": "description"
}

1.5.3 - 1.0

post /v1/apis/{api_id}/deployments

Description

API를 배포한다

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathapi_id
required
Api ID
Example : 31e749b7b260868f441e862b
stringNone
bodybody
required

ApiDeploymentRequest

Responses

HTTP CodeDescriptionSchema
200OKApiDeploymentResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/apis/{api_id}/deployments

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.0"

Request body

{
    "description": "description",
    "stage_name": "test-stage",
    "stage_type": "new"
}

Example HTTP response

Response 200

{
    "deployment_id": "27bb070b564349f8a31cc60734cc36a5",
    "description": "description"
}

1.6 - Create Api Key

1.6.1 - 1.2

post /v1/apis/{api_id}/usage-plans/{usage_plan_id}/api-keys

Description

API Key를 생성한다

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathapi_id
required
Api ID
Example : 27bb070b564349f8a31cc60734cc36a5
stringNone
pathusage_plan_id
required
사용량 정책 ID
Example : 27bb070b564349f8a31cc60734cc36a5
stringNone
bodybody
required

ApiKeyCreateRequest

Responses

HTTP CodeDescriptionSchema
200OKApiKeyShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/apis/{api_id}/usage-plans/{usage_plan_id}/api-keys

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.2"

Request body

{
    "description": "description",
    "name": "api-key-name"
}

Example HTTP response

Response 200

{
    "api_key": {
        "created_at": "2026-02-11T06:40:19.438Z",
        "description": "description",
        "id": "27bb070b564349f8a31cc60734cc36a5",
        "key": "key",
        "name": "api-key-name"
    }
}

1.6.2 - 1.1

post /v1/apis/{api_id}/usage-plans/{usage_plan_id}/api-keys

Description

API Key를 생성한다

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
pathapi_id
required
Api ID
Example : 27bb070b564349f8a31cc60734cc36a5
stringNone
pathusage_plan_id
required
사용량 정책 ID
Example : 27bb070b564349f8a31cc60734cc36a5
stringNone
bodybody
required

ApiKeyCreateRequest

Responses

HTTP CodeDescriptionSchema
200OKApiKeyShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/apis/{api_id}/usage-plans/{usage_plan_id}/api-keys

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.1"

Request body

{
    "description": "description",
    "name": "api-key-name"
}

Example HTTP response

Response 200

{
    "api_key": {
        "created_at": "2026-02-11T06:40:19.438Z",
        "description": "description",
        "id": "27bb070b564349f8a31cc60734cc36a5",
        "key": "key",
        "name": "api-key-name"
    }
}

1.7 - Create Auth

1.7.1 - 1.2

post /v1/apis/{api_id}/auths

Description

인증을 생성한다

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathapi_id
required
Api ID
Example :
stringNone
bodybody
required

AuthCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedAuthCreateResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/apis/{api_id}/auths

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.2"

Request body

{
    "connected_stages": [
        "dev,stg"
    ],
    "expiration_period": "90",
    "name": "Token01"
}

Example HTTP response

Response 201

{
    "access_token": "***********************************************************"
}

1.7.2 - 1.1

post /v1/apis/{api_id}/auths

Description

인증을 생성한다

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
pathapi_id
required
Api ID
Example :
stringNone
bodybody
required

AuthCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedAuthCreateResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/apis/{api_id}/auths

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.1"

Request body

{
    "connected_stages": [
        "dev,stg"
    ],
    "expiration_period": "90",
    "name": "Token01"
}

Example HTTP response

Response 201

{
    "access_token": "***********************************************************"
}

1.7.3 - 1.0

post /v1/apis/{api_id}/auths

Description

인증을 생성한다

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathapi_id
required
Api ID
Example :
stringNone
bodybody
required

AuthCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedAuthCreateResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/apis/{api_id}/auths

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.0"

Request body

{
    "connected_stages": [
        "dev,stg"
    ],
    "expiration_period": "90",
    "name": "Token01"
}

Example HTTP response

Response 201

{
    "access_token": "***********************************************************"
}

1.8 - Create Method

1.8.1 - 1.2

post /v1/apis/{api_id}/resources/{resource_id}/methods

Description

메서드를 생성한다

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathapi_id
required
Api ID
Example : 27bb070b564349f8a31cc60734cc36a5
stringNone
pathresource_id
required
리소스 ID
Example : 27bb070b564349f8a31cc60734cc36a5
stringNone
bodybody
required

MethodCreateRequestV1Dot1

Responses

HTTP CodeDescriptionSchema
200OKMethodListResponseV1Dot2
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/apis/{api_id}/resources/{resource_id}/methods

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.2"

Request body

{
    "api_key_required": false,
    "endpoint_url": "https://127.0.0.1:8000",
    "function_id": "27bb070b564349f8a31cc60734cc36a5",
    "integration_type": "HTTP",
    "method_type": "GET",
    "privatelink_endpoint_id": "27bb070b564349f8a31cc60734cc36a5",
    "query_strings": "{'param1': 'value1', 'param2': 'value2'}",
    "request_headers": "{'test1' : True}"
}

Example HTTP response

Response 200

{
    "methods": [
        {
            "api_key_required": false,
            "endpoint_url": "https://127.0.0.1:8000",
            "function_id": "27bb070b564349f8a31cc60734cc36a5",
            "function_name": "test-function",
            "integration_type": "HTTP",
            "method_type": "GET",
            "privatelink_endpoint_id": "27bb070b564349f8a31cc60734cc36a5",
            "query_strings": "{'param1': 'value1', 'param2': 'value2'}",
            "request_headers": "{'test1' : True}",
            "request_path": "{users}",
            "srn": "srn:dev2::9b7653f6f47a42e38055934a0575a813:kr-west1::apiateway:method/151a6c15922747faaaae7f70/*/GET/test"
        }
    ]
}

1.8.2 - 1.1

post /v1/apis/{api_id}/resources/{resource_id}/methods

Description

메서드를 생성한다

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
pathapi_id
required
Api ID
Example : 27bb070b564349f8a31cc60734cc36a5
stringNone
pathresource_id
required
리소스 ID
Example : 27bb070b564349f8a31cc60734cc36a5
stringNone
bodybody
required

MethodCreateRequestV1Dot1

Responses

HTTP CodeDescriptionSchema
200OKMethodListResponseV1Dot1
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/apis/{api_id}/resources/{resource_id}/methods

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.1"

Request body

{
    "api_key_required": false,
    "endpoint_url": "https://127.0.0.1:8000",
    "function_id": "27bb070b564349f8a31cc60734cc36a5",
    "integration_type": "HTTP",
    "method_type": "GET",
    "privatelink_endpoint_id": "27bb070b564349f8a31cc60734cc36a5",
    "query_strings": "{'param1': 'value1', 'param2': 'value2'}",
    "request_headers": "{'test1' : True}"
}

Example HTTP response

Response 200

{
    "methods": [
        {
            "api_key_required": false,
            "endpoint_url": "https://127.0.0.1:8000",
            "function_id": "27bb070b564349f8a31cc60734cc36a5",
            "function_name": "test-function",
            "integration_type": "HTTP",
            "method_type": "GET",
            "query_strings": "{'param1': 'value1', 'param2': 'value2'}",
            "request_headers": "{'test1' : True}",
            "request_path": "{users}",
            "srn": "srn:dev2::9b7653f6f47a42e38055934a0575a813:kr-west1::apiateway:method/151a6c15922747faaaae7f70/*/GET/test"
        }
    ]
}

1.8.3 - 1.0

post /v1/apis/{api_id}/resources/{resource_id}/methods

Description

메서드를 생성한다

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathapi_id
required
Api ID
Example : 27bb070b564349f8a31cc60734cc36a5
stringNone
pathresource_id
required
리소스 ID
Example : 27bb070b564349f8a31cc60734cc36a5
stringNone
bodybody
required

MethodCreateRequest

Responses

HTTP CodeDescriptionSchema
200OKMethodListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/apis/{api_id}/resources/{resource_id}/methods

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.0"

Request body

{
    "api_key_required": false,
    "endpoint_url": "https://127.0.0.1:8000",
    "function_id": "27bb070b564349f8a31cc60734cc36a5",
    "integration_type": "HTTP",
    "method_type": "GET",
    "privatelink_endpoint_id": "27bb070b564349f8a31cc60734cc36a5",
    "query_strings": "{'param1': 'value1', 'param2': 'value2'}",
    "request_headers": "{'test1' : True}"
}

Example HTTP response

Response 200

{
    "methods": [
        {
            "endpoint_url": "https://127.0.0.1:8000",
            "function_id": "27bb070b564349f8a31cc60734cc36a5",
            "integration_type": "HTTP",
            "method_type": "GET",
            "query_strings": "{'param1': 'value1', 'param2': 'value2'}",
            "request_headers": "{'test1' : True}",
            "request_path": "{users}",
            "srn": "srn:dev2::9b7653f6f47a42e38055934a0575a813:kr-west1::apiateway:method/151a6c15922747faaaae7f70/*/GET/test"
        }
    ]
}

1.9 - Create PrivateLink Endpoint

1.9.1 - 1.2

post /v1/privatelink-endpoints

Description

PrivateLink 엔드포인트를 생성한다

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

PrivateLinkEndpointCreateRequest

Responses

HTTP CodeDescriptionSchema
200OKPrivateLinkEndpointShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/privatelink-endpoints

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.2"

Request body

{
    "description": "description",
    "name": "endpoint",
    "privatelink_service_id": "27bb070b564349f8a31cc60734cc36a5"
}

Example HTTP response

Response 200

{
    "privatelink_endpoint": {
        "created_at": "2024-05-17T00:23:17Z",
        "description": "description",
        "id": "27bb070b564349f8a31cc60734cc36a5",
        "name": "endpoint",
        "privatelink_service_id": "27bb070b564349f8a31cc60734cc36a5",
        "status": "CANCELED"
    }
}

1.10 - Create Resource

1.10.1 - 1.2

post /v1/apis/{api_id}/resources/{parent_id}

Description

리소스를 생성한다

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathapi_id
required
Api ID
Example : 27bb070b564349f8a31cc60734cc36a5
stringNone
pathparent_id
required
리소스 ID
Example : 27bb070b564349f8a31cc60734cc36a5
stringNone
bodybody
required

ResourceCreateRequest

Responses

HTTP CodeDescriptionSchema
200OKResourceCreateResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/apis/{api_id}/resources/{parent_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.2"

Request body

{
    "path_part": "test"
}

Example HTTP response

Response 200

{
    "api_id": "27bb070b564349f8a31cc60734cc36a5",
    "id": "27bb070b564349f8a31cc60734cc36a5",
    "parent_id": "27bb070b564349f8a31cc60734cc36a5",
    "path": ""
}

1.10.2 - 1.1

post /v1/apis/{api_id}/resources/{parent_id}

Description

리소스를 생성한다

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
pathapi_id
required
Api ID
Example : 27bb070b564349f8a31cc60734cc36a5
stringNone
pathparent_id
required
리소스 ID
Example : 27bb070b564349f8a31cc60734cc36a5
stringNone
bodybody
required

ResourceCreateRequest

Responses

HTTP CodeDescriptionSchema
200OKResourceCreateResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/apis/{api_id}/resources/{parent_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.1"

Request body

{
    "path_part": "test"
}

Example HTTP response

Response 200

{
    "api_id": "27bb070b564349f8a31cc60734cc36a5",
    "id": "27bb070b564349f8a31cc60734cc36a5",
    "parent_id": "27bb070b564349f8a31cc60734cc36a5",
    "path": ""
}

1.10.3 - 1.0

post /v1/apis/{api_id}/resources/{parent_id}

Description

리소스를 생성한다

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathapi_id
required
Api ID
Example : 27bb070b564349f8a31cc60734cc36a5
stringNone
pathparent_id
required
리소스 ID
Example : 27bb070b564349f8a31cc60734cc36a5
stringNone
bodybody
required

ResourceCreateRequest

Responses

HTTP CodeDescriptionSchema
200OKResourceCreateResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/apis/{api_id}/resources/{parent_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.0"

Request body

{
    "path_part": "test"
}

Example HTTP response

Response 200

{
    "api_id": "27bb070b564349f8a31cc60734cc36a5",
    "id": "27bb070b564349f8a31cc60734cc36a5",
    "parent_id": "27bb070b564349f8a31cc60734cc36a5",
    "path": ""
}

1.11 - Create Stage

1.11.1 - 1.2

post /v1/apis/{api_id}/stages

Description

스테이지를 생성한다

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathapi_id
required
Api ID
Example : 27bb070b564349f8a31cc60734cc36a5
stringNone
bodybody
required

StageCreateRequest

Responses

HTTP CodeDescriptionSchema
200OKStageShowResponseV1Dot1
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/apis/{api_id}/stages

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.2"

Request body

{
    "deployment_id": "27bb070b564349f8a31cc60734cc36a5",
    "description": "description",
    "stage_name": "test-stage"
}

Example HTTP response

Response 200

{
    "stage": {
        "active_deployment": "2024-05-17T00:23:17Z",
        "allow_credentials": true,
        "allow_headers": [
            "Content-Type",
            "Authorization"
        ],
        "allow_methods": [
            "GET",
            "POST",
            "PUT",
            "PATCH"
        ],
        "allow_origins": [
            "*"
        ],
        "api_id": "27bb070b564349f8a31cc60734cc36a5",
        "api_key_required": false,
        "cors_enabled": false,
        "created_at": "2026-02-11T06:40:19.189Z",
        "deployment_id": "27bb070b564349f8a31cc60734cc36a5",
        "description": "description",
        "expose_headers": [
            "test1",
            "test2"
        ],
        "invoke_url": "http://test.com/stg",
        "jwt_enabled": false,
        "max_age": 3600,
        "name": "test-stage",
        "usage_plan_api_keys": [],
        "usage_plan_id": "27bb070b564349f8a31cc60734cc36a5",
        "usage_plan_limit": 10,
        "usage_plan_name": "usage-plan-name",
        "usage_plan_rate": "day"
    }
}

1.11.2 - 1.1

post /v1/apis/{api_id}/stages

Description

스테이지를 생성한다

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
pathapi_id
required
Api ID
Example : 27bb070b564349f8a31cc60734cc36a5
stringNone
bodybody
required

StageCreateRequest

Responses

HTTP CodeDescriptionSchema
200OKStageShowResponseV1Dot1
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/apis/{api_id}/stages

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.1"

Request body

{
    "deployment_id": "27bb070b564349f8a31cc60734cc36a5",
    "description": "description",
    "stage_name": "test-stage"
}

Example HTTP response

Response 200

{
    "stage": {
        "active_deployment": "2024-05-17T00:23:17Z",
        "allow_credentials": true,
        "allow_headers": [
            "Content-Type",
            "Authorization"
        ],
        "allow_methods": [
            "GET",
            "POST",
            "PUT",
            "PATCH"
        ],
        "allow_origins": [
            "*"
        ],
        "api_id": "27bb070b564349f8a31cc60734cc36a5",
        "api_key_required": false,
        "cors_enabled": false,
        "created_at": "2026-02-11T06:40:19.189Z",
        "deployment_id": "27bb070b564349f8a31cc60734cc36a5",
        "description": "description",
        "expose_headers": [
            "test1",
            "test2"
        ],
        "invoke_url": "http://test.com/stg",
        "jwt_enabled": false,
        "max_age": 3600,
        "name": "test-stage",
        "usage_plan_api_keys": [],
        "usage_plan_id": "27bb070b564349f8a31cc60734cc36a5",
        "usage_plan_limit": 10,
        "usage_plan_name": "usage-plan-name",
        "usage_plan_rate": "day"
    }
}

1.11.3 - 1.0

post /v1/apis/{api_id}/stages

Description

스테이지를 생성한다

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathapi_id
required
Api ID
Example : 27bb070b564349f8a31cc60734cc36a5
stringNone
bodybody
required

StageCreateRequest

Responses

HTTP CodeDescriptionSchema
200OKStageShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/apis/{api_id}/stages

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.0"

Request body

{
    "deployment_id": "27bb070b564349f8a31cc60734cc36a5",
    "description": "description",
    "stage_name": "test-stage"
}

Example HTTP response

Response 200

{
    "stage": {
        "active_deployment": "2024-05-17T00:23:17Z",
        "allow_credentials": true,
        "allow_headers": [
            "Content-Type",
            "Authorization"
        ],
        "allow_methods": [
            "GET",
            "POST",
            "PUT",
            "PATCH"
        ],
        "allow_origins": [
            "*"
        ],
        "api_id": "27bb070b564349f8a31cc60734cc36a5",
        "cors_enabled": false,
        "created_at": "2026-02-11T06:40:18.683Z",
        "deployment_id": "27bb070b564349f8a31cc60734cc36a5",
        "expose_headers": [
            "test1",
            "test2"
        ],
        "invoke_url": "http://test.com/stg",
        "ip_restriction_enabled": false,
        "jwt_enabled": false,
        "max_age": 3600,
        "name": "test-stage"
    }
}

1.12 - Create Usage Plans

1.12.1 - 1.2

post /v1/apis/{api_id}/usage-plans

Description

사용량 정책을 생성한다

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathapi_id
required
Api ID
Example : 27bb070b564349f8a31cc60734cc36a5
stringNone
bodybody
required

UsagePlanCreateRequest

Responses

HTTP CodeDescriptionSchema
200OKUsagePlanShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/apis/{api_id}/usage-plans

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.2"

Request body

{
    "description": "description",
    "limit": 10,
    "name": "usage-plan-name",
    "rate": "day"
}

Example HTTP response

Response 200

{
    "usage_plan": {
        "api_keys": [],
        "created_at": "2026-02-11T06:40:19.405Z",
        "created_by_id": "27bb070b564349f8a31cc60734cc36a5",
        "created_by_name": "username",
        "description": "description",
        "id": "27bb070b564349f8a31cc60734cc36a5",
        "limit": 10,
        "modified_at": "2026-02-11T06:40:19.405Z",
        "modified_by_id": "27bb070b564349f8a31cc60734cc36a5",
        "modified_by_name": "username",
        "name": "usage-plan-name",
        "rate": "day"
    }
}

1.12.2 - 1.1

post /v1/apis/{api_id}/usage-plans

Description

사용량 정책을 생성한다

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
pathapi_id
required
Api ID
Example : 27bb070b564349f8a31cc60734cc36a5
stringNone
bodybody
required

UsagePlanCreateRequest

Responses

HTTP CodeDescriptionSchema
200OKUsagePlanShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/apis/{api_id}/usage-plans

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.1"

Request body

{
    "description": "description",
    "limit": 10,
    "name": "usage-plan-name",
    "rate": "day"
}

Example HTTP response

Response 200

{
    "usage_plan": {
        "api_keys": [],
        "created_at": "2026-02-11T06:40:19.405Z",
        "created_by_id": "27bb070b564349f8a31cc60734cc36a5",
        "created_by_name": "username",
        "description": "description",
        "id": "27bb070b564349f8a31cc60734cc36a5",
        "limit": 10,
        "modified_at": "2026-02-11T06:40:19.405Z",
        "modified_by_id": "27bb070b564349f8a31cc60734cc36a5",
        "modified_by_name": "username",
        "name": "usage-plan-name",
        "rate": "day"
    }
}

1.13 - Delete Access Control

1.13.1 - 1.2

delete /v1/apis/{api_id}/access-controls/{access_control_id}

Description

접근제어를 삭제한다

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathapi_id
required
Api ID
Example :
stringNone
pathaccess_control_id
required
접근제어 ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
204No ContentNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/apis/{api_id}/access-controls/{access_control_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.2"

Example HTTP response

Response 204

1.13.2 - 1.1

delete /v1/apis/{api_id}/access-controls/{access_control_id}

Description

접근제어를 삭제한다

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
pathapi_id
required
Api ID
Example :
stringNone
pathaccess_control_id
required
접근제어 ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
204No ContentNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/apis/{api_id}/access-controls/{access_control_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.1"

Example HTTP response

Response 204

1.13.3 - 1.0

delete /v1/apis/{api_id}/access-controls/{access_control_id}

Description

접근제어를 삭제한다

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathapi_id
required
Api ID
Example :
stringNone
pathaccess_control_id
required
접근제어 ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
204No ContentNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/apis/{api_id}/access-controls/{access_control_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.0"

Example HTTP response

Response 204

1.14 - Delete an API Key

1.14.1 - 1.2

delete /v1/apis/{api_id}/usage-plans/{usage_plan_id}/api-keys/{api_key_id}

Description

API Key를 삭제한다

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathapi_id
required
Api ID
Example : 27bb070b564349f8a31cc60734cc36a5
stringNone
pathusage_plan_id
required
사용량 정책 ID
Example : 27bb070b564349f8a31cc60734cc36a5
stringNone
pathapi_key_id
required
API Key ID
Example : 27bb070b564349f8a31cc60734cc36a5
stringNone

Responses

HTTP CodeDescriptionSchema
204No ContentNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/apis/{api_id}/usage-plans/{usage_plan_id}/api-keys/{api_key_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.2"

Example HTTP response

Response 204

1.14.2 - 1.1

delete /v1/apis/{api_id}/usage-plans/{usage_plan_id}/api-keys/{api_key_id}

Description

API Key를 삭제한다

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
pathapi_id
required
Api ID
Example : 27bb070b564349f8a31cc60734cc36a5
stringNone
pathusage_plan_id
required
사용량 정책 ID
Example : 27bb070b564349f8a31cc60734cc36a5
stringNone
pathapi_key_id
required
API Key ID
Example : 27bb070b564349f8a31cc60734cc36a5
stringNone

Responses

HTTP CodeDescriptionSchema
204No ContentNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/apis/{api_id}/usage-plans/{usage_plan_id}/api-keys/{api_key_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.1"

Example HTTP response

Response 204

1.15 - Delete Api

1.15.1 - 1.2

delete /v1/apis/{api_id}

Description

API를 삭제한다

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathapi_id
required
Api ID
Example : 31e749b7b260868f441e862b
stringNone

Responses

HTTP CodeDescriptionSchema
204No ContentNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/apis/{api_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.2"

Example HTTP response

Response 204

1.15.2 - 1.1

delete /v1/apis/{api_id}

Description

API를 삭제한다

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
pathapi_id
required
Api ID
Example : 31e749b7b260868f441e862b
stringNone

Responses

HTTP CodeDescriptionSchema
204No ContentNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/apis/{api_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.1"

Example HTTP response

Response 204

1.15.3 - 1.0

delete /v1/apis/{api_id}

Description

API를 삭제한다

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathapi_id
required
Api ID
Example : 31e749b7b260868f441e862b
stringNone

Responses

HTTP CodeDescriptionSchema
204No ContentNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/apis/{api_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.0"

Example HTTP response

Response 204

1.16 - Delete Auth

1.16.1 - 1.2

delete /v1/apis/{api_id}/auths/{auth_id}

Description

인증을 삭제한다

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathapi_id
required
Api ID
Example :
stringNone
pathauth_id
required
인증 ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
204No ContentNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/apis/{api_id}/auths/{auth_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.2"

Example HTTP response

Response 204

1.16.2 - 1.1

delete /v1/apis/{api_id}/auths/{auth_id}

Description

인증을 삭제한다

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
pathapi_id
required
Api ID
Example :
stringNone
pathauth_id
required
인증 ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
204No ContentNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/apis/{api_id}/auths/{auth_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.1"

Example HTTP response

Response 204

1.16.3 - 1.0

delete /v1/apis/{api_id}/auths/{auth_id}

Description

인증을 삭제한다

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathapi_id
required
Api ID
Example :
stringNone
pathauth_id
required
인증 ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
204No ContentNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/apis/{api_id}/auths/{auth_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.0"

Example HTTP response

Response 204

1.17 - Delete Method

1.17.1 - 1.2

delete /v1/apis/{api_id}/resources/{resource_id}/methods/{method_type}

Description

메서드를 삭제한다

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathapi_id
required
Api ID
Example : 27bb070b564349f8a31cc60734cc36a5
stringNone
pathresource_id
required
리소스 ID
Example : 27bb070b564349f8a31cc60734cc36a5
stringNone
pathmethod_type
required
메서드 유형
Example : GET
enum (GET, POST, PUT, DELETE, PATCH, HEAD, OPTIONS, TRACE, CONNECT)None

Responses

HTTP CodeDescriptionSchema
204No ContentNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/apis/{api_id}/resources/{resource_id}/methods/{method_type}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.2"

Example HTTP response

Response 204

1.17.2 - 1.1

delete /v1/apis/{api_id}/resources/{resource_id}/methods/{method_type}

Description

메서드를 삭제한다

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
pathapi_id
required
Api ID
Example : 27bb070b564349f8a31cc60734cc36a5
stringNone
pathresource_id
required
리소스 ID
Example : 27bb070b564349f8a31cc60734cc36a5
stringNone
pathmethod_type
required
메서드 유형
Example : GET
enum (GET, POST, PUT, DELETE, PATCH, HEAD, OPTIONS, TRACE, CONNECT)None

Responses

HTTP CodeDescriptionSchema
204No ContentNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/apis/{api_id}/resources/{resource_id}/methods/{method_type}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.1"

Example HTTP response

Response 204

1.17.3 - 1.0

delete /v1/apis/{api_id}/resources/{resource_id}/methods/{method_type}

Description

메서드를 삭제한다

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathapi_id
required
Api ID
Example : 27bb070b564349f8a31cc60734cc36a5
stringNone
pathresource_id
required
리소스 ID
Example : 27bb070b564349f8a31cc60734cc36a5
stringNone
pathmethod_type
required
메서드 유형
Example : GET
enum (GET, POST, PUT, DELETE, PATCH, HEAD, OPTIONS, TRACE, CONNECT)None

Responses

HTTP CodeDescriptionSchema
204No ContentNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/apis/{api_id}/resources/{resource_id}/methods/{method_type}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.0"

Example HTTP response

Response 204

1.18 - Delete PrivateLink Endpoint

1.18.1 - 1.2

delete /v1/privatelink-endpoints/{privatelink_endpoint_id}

Description

PrivateLink 엔드포인트를 삭제한다

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathprivatelink_endpoint_id
required
PrivateLink 엔드포인트 ID
Example : 27bb070b564349f8a31cc60734cc36a5
stringNone

Responses

HTTP CodeDescriptionSchema
204No ContentNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/privatelink-endpoints/{privatelink_endpoint_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.2"

Example HTTP response

Response 204

1.19 - Delete Resource

1.19.1 - 1.2

delete /v1/apis/{api_id}/resources/{resource_id}

Description

리소스를 삭제한다

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathapi_id
required
Api ID
Example : 27bb070b564349f8a31cc60734cc36a5
stringNone
pathresource_id
required
리소스 ID
Example : 27bb070b564349f8a31cc60734cc36a5
stringNone

Responses

HTTP CodeDescriptionSchema
204No ContentNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/apis/{api_id}/resources/{resource_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.2"

Example HTTP response

Response 204

1.19.2 - 1.1

delete /v1/apis/{api_id}/resources/{resource_id}

Description

리소스를 삭제한다

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
pathapi_id
required
Api ID
Example : 27bb070b564349f8a31cc60734cc36a5
stringNone
pathresource_id
required
리소스 ID
Example : 27bb070b564349f8a31cc60734cc36a5
stringNone

Responses

HTTP CodeDescriptionSchema
204No ContentNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/apis/{api_id}/resources/{resource_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.1"

Example HTTP response

Response 204

1.19.3 - 1.0

delete /v1/apis/{api_id}/resources/{resource_id}

Description

리소스를 삭제한다

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathapi_id
required
Api ID
Example : 27bb070b564349f8a31cc60734cc36a5
stringNone
pathresource_id
required
리소스 ID
Example : 27bb070b564349f8a31cc60734cc36a5
stringNone

Responses

HTTP CodeDescriptionSchema
204No ContentNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/apis/{api_id}/resources/{resource_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.0"

Example HTTP response

Response 204

1.20 - Delete Stage

1.20.1 - 1.2

delete /v1/apis/{api_id}/stages/{stage_name}

Description

스테이지를 삭제한다

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathstage_name
required
스테이지명
Example : test-stage
stringNone
pathapi_id
required
Api ID
Example : 27bb070b564349f8a31cc60734cc36a5
stringNone

Responses

HTTP CodeDescriptionSchema
204No ContentNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/apis/{api_id}/stages/{stage_name}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.2"

Example HTTP response

Response 204

1.20.2 - 1.1

delete /v1/apis/{api_id}/stages/{stage_name}

Description

스테이지를 삭제한다

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
pathstage_name
required
스테이지명
Example : test-stage
stringNone
pathapi_id
required
Api ID
Example : 27bb070b564349f8a31cc60734cc36a5
stringNone

Responses

HTTP CodeDescriptionSchema
204No ContentNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/apis/{api_id}/stages/{stage_name}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.1"

Example HTTP response

Response 204

1.20.3 - 1.0

delete /v1/apis/{api_id}/stages/{stage_name}

Description

스테이지를 삭제한다

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathstage_name
required
스테이지명
Example : test-stage
stringNone
pathapi_id
required
Api ID
Example : 27bb070b564349f8a31cc60734cc36a5
stringNone

Responses

HTTP CodeDescriptionSchema
204No ContentNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/apis/{api_id}/stages/{stage_name}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.0"

Example HTTP response

Response 204

1.21 - Delete Usage Plan

1.21.1 - 1.2

delete /v1/apis/{api_id}/usage-plans/{usage_plan_id}

Description

사용량 정책을 삭제한다

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathapi_id
required
Api ID
Example : 27bb070b564349f8a31cc60734cc36a5
stringNone
pathusage_plan_id
required
사용량 정책 ID
Example : 27bb070b564349f8a31cc60734cc36a5
stringNone

Responses

HTTP CodeDescriptionSchema
204No ContentNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/apis/{api_id}/usage-plans/{usage_plan_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.2"

Example HTTP response

Response 204

1.21.2 - 1.1

delete /v1/apis/{api_id}/usage-plans/{usage_plan_id}

Description

사용량 정책을 삭제한다

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
pathapi_id
required
Api ID
Example : 27bb070b564349f8a31cc60734cc36a5
stringNone
pathusage_plan_id
required
사용량 정책 ID
Example : 27bb070b564349f8a31cc60734cc36a5
stringNone

Responses

HTTP CodeDescriptionSchema
204No ContentNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/apis/{api_id}/usage-plans/{usage_plan_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.1"

Example HTTP response

Response 204

1.22 - List AccessControls

1.22.1 - 1.2

get /v1/apis/{api_id}/access-controls

Description

접근제어 목록을 조회한다

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathapi_id
required
Api ID
Example :
stringNone
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKAccessControlListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/apis/{api_id}/access-controls

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.2"

Example HTTP response

Response 200

{
    "access_controls": [
        {
            "allowed_ip_addr": [
                "127.0.0.1/24,192.168.127.12"
            ],
            "connected_stages": [
                "dev,stg"
            ],
            "created_at": "2024-05-19T00:23:17Z",
            "description": "",
            "id": "27bb070b564349f8a31cc60734cc36a5",
            "name": "DenyTest"
        }
    ],
    "count": 20
}

1.22.2 - 1.1

get /v1/apis/{api_id}/access-controls

Description

접근제어 목록을 조회한다

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
pathapi_id
required
Api ID
Example :
stringNone
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKAccessControlListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/apis/{api_id}/access-controls

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.1"

Example HTTP response

Response 200

{
    "access_controls": [
        {
            "allowed_ip_addr": [
                "127.0.0.1/24,192.168.127.12"
            ],
            "connected_stages": [
                "dev,stg"
            ],
            "created_at": "2024-05-19T00:23:17Z",
            "description": "",
            "id": "27bb070b564349f8a31cc60734cc36a5",
            "name": "DenyTest"
        }
    ],
    "count": 20
}

1.22.3 - 1.0

get /v1/apis/{api_id}/access-controls

Description

접근제어 목록을 조회한다

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathapi_id
required
Api ID
Example :
stringNone
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKAccessControlListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/apis/{api_id}/access-controls

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.0"

Example HTTP response

Response 200

{
    "access_controls": [
        {
            "allowed_ip_addr": [
                "127.0.0.1/24,192.168.127.12"
            ],
            "connected_stages": [
                "dev,stg"
            ],
            "created_at": "2024-05-19T00:23:17Z",
            "description": "",
            "id": "27bb070b564349f8a31cc60734cc36a5",
            "name": "DenyTest"
        }
    ],
    "count": 20
}

1.23 - List Api Deployments

1.23.1 - 1.2

get /v1/apis/{api_id}/deployments

Description

API 배포 목록을 조회한다

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathapi_id
required
Api ID
Example : 31e749b7b260868f441e862b
stringNone
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
querydeployment_id
optional
이름
Example : 27bb070b564349f8a31cc60734cc36a5
any of [string, null]None
querystage_name
optional
스테이지명
Example : test-stage
string

Responses

HTTP CodeDescriptionSchema
200OKApiDeploymentListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/apis/{api_id}/deployments

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.2"

Example HTTP response

Response 200

{
    "count": 20,
    "deployments": [
        {
            "deployment_date": "2024-05-17T00:23:17Z",
            "deployment_id": "27bb070b564349f8a31cc60734cc36a5",
            "description": "description",
            "status": "Active"
        }
    ]
}

1.23.2 - 1.1

get /v1/apis/{api_id}/deployments

Description

API 배포 목록을 조회한다

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
pathapi_id
required
Api ID
Example : 31e749b7b260868f441e862b
stringNone
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
querydeployment_id
optional
이름
Example : 27bb070b564349f8a31cc60734cc36a5
any of [string, null]None
querystage_name
optional
스테이지명
Example : test-stage
string

Responses

HTTP CodeDescriptionSchema
200OKApiDeploymentListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/apis/{api_id}/deployments

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.1"

Example HTTP response

Response 200

{
    "count": 20,
    "deployments": [
        {
            "deployment_date": "2024-05-17T00:23:17Z",
            "deployment_id": "27bb070b564349f8a31cc60734cc36a5",
            "description": "description",
            "status": "Active"
        }
    ]
}

1.23.3 - 1.0

get /v1/apis/{api_id}/deployments

Description

API 배포 목록을 조회한다

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathapi_id
required
Api ID
Example : 31e749b7b260868f441e862b
stringNone
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
querydeployment_id
optional
이름
Example : 27bb070b564349f8a31cc60734cc36a5
any of [string, null]None
querystage_name
optional
스테이지명
Example : test-stage
string

Responses

HTTP CodeDescriptionSchema
200OKApiDeploymentListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/apis/{api_id}/deployments

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.0"

Example HTTP response

Response 200

{
    "count": 20,
    "deployments": [
        {
            "deployment_date": "2024-05-17T00:23:17Z",
            "deployment_id": "27bb070b564349f8a31cc60734cc36a5",
            "description": "description",
            "status": "Active"
        }
    ]
}

1.24 - List Api Keys

1.24.1 - 1.2

get /v1/apis/{api_id}/usage-plans/{usage_plan_id}/api-keys

Description

API Key 목록을 조회한다

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathapi_id
required
Api ID
Example : 27bb070b564349f8a31cc60734cc36a5
stringNone
pathusage_plan_id
required
사용량 정책 ID
Example : 27bb070b564349f8a31cc60734cc36a5
stringNone
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryname
optional
이름
Example : api-key-name
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKApiKeyListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/apis/{api_id}/usage-plans/{usage_plan_id}/api-keys

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.2"

Example HTTP response

Response 200

{
    "api_keys": [
        {
            "created_at": "2026-02-11T06:40:19.438Z",
            "description": "description",
            "id": "27bb070b564349f8a31cc60734cc36a5",
            "key": "key",
            "name": "api-key-name"
        }
    ],
    "count": 20
}

1.24.2 - 1.1

get /v1/apis/{api_id}/usage-plans/{usage_plan_id}/api-keys

Description

API Key 목록을 조회한다

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
pathapi_id
required
Api ID
Example : 27bb070b564349f8a31cc60734cc36a5
stringNone
pathusage_plan_id
required
사용량 정책 ID
Example : 27bb070b564349f8a31cc60734cc36a5
stringNone
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryname
optional
이름
Example : api-key-name
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKApiKeyListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/apis/{api_id}/usage-plans/{usage_plan_id}/api-keys

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.1"

Example HTTP response

Response 200

{
    "api_keys": [
        {
            "created_at": "2026-02-11T06:40:19.438Z",
            "description": "description",
            "id": "27bb070b564349f8a31cc60734cc36a5",
            "key": "key",
            "name": "api-key-name"
        }
    ],
    "count": 20
}

1.25 - List Apis

1.25.1 - 1.2

get /v1/apis

Description

API 목록을 조회한다

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryname
optional
이름
Example : test-api
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKApiListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/apis

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.2"

Example HTTP response

Response 200

{
    "apis": [
        {
            "account_id": "27bb070b564349f8a31cc60734cc36a5",
            "created_at": "2024-05-17T00:23:17Z",
            "description": "Description",
            "dns_record_status": "Active",
            "id": "27bb070b564349f8a31cc60734cc36a5",
            "name": "test-api",
            "status": "Active"
        }
    ],
    "count": 20
}

1.25.2 - 1.1

get /v1/apis

Description

API 목록을 조회한다

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryname
optional
이름
Example : test-api
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKApiListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/apis

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.1"

Example HTTP response

Response 200

{
    "apis": [
        {
            "account_id": "27bb070b564349f8a31cc60734cc36a5",
            "created_at": "2024-05-17T00:23:17Z",
            "description": "Description",
            "dns_record_status": "Active",
            "id": "27bb070b564349f8a31cc60734cc36a5",
            "name": "test-api",
            "status": "Active"
        }
    ],
    "count": 20
}

1.25.3 - 1.0

get /v1/apis

Description

API 목록을 조회한다

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryname
optional
이름
Example : test-api
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKApiListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/apis

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.0"

Example HTTP response

Response 200

{
    "apis": [
        {
            "account_id": "27bb070b564349f8a31cc60734cc36a5",
            "created_at": "2024-05-17T00:23:17Z",
            "description": "Description",
            "dns_record_status": "Active",
            "id": "27bb070b564349f8a31cc60734cc36a5",
            "name": "test-api",
            "status": "Active"
        }
    ],
    "count": 20
}

1.26 - List Auths

1.26.1 - 1.2

get /v1/apis/{api_id}/auths

Description

인증 목록을 조회한다

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathapi_id
required
Api ID
Example :
stringNone
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKAuthListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/apis/{api_id}/auths

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.2"

Example HTTP response

Response 200

{
    "auths": [
        {
            "auth_method": "JWT(JSON WEB Token)",
            "connected_stages": [
                "dev,stg"
            ],
            "expired_at": "2024-05-17T00:23:17Z",
            "id": "27bb070b564349f8a31cc60734cc36a5",
            "name": "Token01"
        }
    ],
    "count": 20
}

1.26.2 - 1.1

get /v1/apis/{api_id}/auths

Description

인증 목록을 조회한다

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
pathapi_id
required
Api ID
Example :
stringNone
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKAuthListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/apis/{api_id}/auths

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.1"

Example HTTP response

Response 200

{
    "auths": [
        {
            "auth_method": "JWT(JSON WEB Token)",
            "connected_stages": [
                "dev,stg"
            ],
            "expired_at": "2024-05-17T00:23:17Z",
            "id": "27bb070b564349f8a31cc60734cc36a5",
            "name": "Token01"
        }
    ],
    "count": 20
}

1.26.3 - 1.0

get /v1/apis/{api_id}/auths

Description

인증 목록을 조회한다

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathapi_id
required
Api ID
Example :
stringNone
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKAuthListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/apis/{api_id}/auths

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.0"

Example HTTP response

Response 200

{
    "auths": [
        {
            "auth_method": "JWT(JSON WEB Token)",
            "connected_stages": [
                "dev,stg"
            ],
            "expired_at": "2024-05-17T00:23:17Z",
            "id": "27bb070b564349f8a31cc60734cc36a5",
            "name": "Token01"
        }
    ],
    "count": 20
}

1.27 - List Connected PrivateLink Endpoints

1.27.1 - 1.2

get /v1/apis/{api_id}/connected-endpoints

Description

연결요청된 PrivateLink 엔드포인트를 조회한다

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathapi_id
required
Api ID
Example : 31e749b7b260868f441e862b
stringNone
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKApiConnectedEndpointListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/apis/{api_id}/connected-endpoints

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.2"

Example HTTP response

Response 200

{
    "connected_endpoints": [
        {
            "created_at": "2024-05-17T00:23:17Z",
            "id": "27bb070b564349f8a31cc60734cc36a5",
            "status": "Active"
        }
    ],
    "count": 20
}

1.28 - List Methods

1.28.1 - 1.2

get /v1/apis/{api_id}/resources/{resource_id}/methods

Description

메서드 목록을 조회한다

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathapi_id
required
Api ID
Example : 27bb070b564349f8a31cc60734cc36a5
stringNone
pathresource_id
required
리소스 ID
Example : 27bb070b564349f8a31cc60734cc36a5
stringNone

Responses

HTTP CodeDescriptionSchema
200OKMethodListResponseV1Dot2
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/apis/{api_id}/resources/{resource_id}/methods

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.2"

Example HTTP response

Response 200

{
    "methods": [
        {
            "api_key_required": false,
            "endpoint_url": "https://127.0.0.1:8000",
            "function_id": "27bb070b564349f8a31cc60734cc36a5",
            "function_name": "test-function",
            "integration_type": "HTTP",
            "method_type": "GET",
            "privatelink_endpoint_id": "27bb070b564349f8a31cc60734cc36a5",
            "query_strings": "{'param1': 'value1', 'param2': 'value2'}",
            "request_headers": "{'test1' : True}",
            "request_path": "{users}",
            "srn": "srn:dev2::9b7653f6f47a42e38055934a0575a813:kr-west1::apiateway:method/151a6c15922747faaaae7f70/*/GET/test"
        }
    ]
}

1.28.2 - 1.1

get /v1/apis/{api_id}/resources/{resource_id}/methods

Description

메서드 목록을 조회한다

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
pathapi_id
required
Api ID
Example : 27bb070b564349f8a31cc60734cc36a5
stringNone
pathresource_id
required
리소스 ID
Example : 27bb070b564349f8a31cc60734cc36a5
stringNone

Responses

HTTP CodeDescriptionSchema
200OKMethodListResponseV1Dot1
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/apis/{api_id}/resources/{resource_id}/methods

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.1"

Example HTTP response

Response 200

{
    "methods": [
        {
            "api_key_required": false,
            "endpoint_url": "https://127.0.0.1:8000",
            "function_id": "27bb070b564349f8a31cc60734cc36a5",
            "function_name": "test-function",
            "integration_type": "HTTP",
            "method_type": "GET",
            "query_strings": "{'param1': 'value1', 'param2': 'value2'}",
            "request_headers": "{'test1' : True}",
            "request_path": "{users}",
            "srn": "srn:dev2::9b7653f6f47a42e38055934a0575a813:kr-west1::apiateway:method/151a6c15922747faaaae7f70/*/GET/test"
        }
    ]
}

1.28.3 - 1.0

get /v1/apis/{api_id}/resources/{resource_id}/methods

Description

메서드 목록을 조회한다

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathapi_id
required
Api ID
Example : 27bb070b564349f8a31cc60734cc36a5
stringNone
pathresource_id
required
리소스 ID
Example : 27bb070b564349f8a31cc60734cc36a5
stringNone

Responses

HTTP CodeDescriptionSchema
200OKMethodListResponse
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/apis/{api_id}/resources/{resource_id}/methods

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.0"

Example HTTP response

Response 200

{
    "methods": [
        {
            "endpoint_url": "https://127.0.0.1:8000",
            "function_id": "27bb070b564349f8a31cc60734cc36a5",
            "integration_type": "HTTP",
            "method_type": "GET",
            "query_strings": "{'param1': 'value1', 'param2': 'value2'}",
            "request_headers": "{'test1' : True}",
            "request_path": "{users}",
            "srn": "srn:dev2::9b7653f6f47a42e38055934a0575a813:kr-west1::apiateway:method/151a6c15922747faaaae7f70/*/GET/test"
        }
    ]
}

1.29 - List PrivateLink Endpoints

1.29.1 - 1.2

get /v1/privatelink-endpoints

Description

PrivateLink 엔드포인트 목록을 조회한다

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryname
optional
PrivateLink 엔드포인트명
Example : endpoint
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKPrivateLinkEndpointListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/privatelink-endpoints

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.2"

Example HTTP response

Response 200

{
    "count": 20,
    "privatelink_endpoints": [
        {
            "created_at": "2024-05-17T00:23:17Z",
            "id": "27bb070b564349f8a31cc60734cc36a5",
            "name": "endpoint",
            "privatelink_service_id": "27bb070b564349f8a31cc60734cc36a5",
            "status": "CANCELED"
        }
    ]
}

1.30 - List Reports

1.30.1 - 1.2

get /v1/apis/{api_id}/reports

Description

Report 목록을 조회한다

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathapi_id
required
Api ID
Example : 27bb070b564349f8a31cc60734cc36a5
stringNone
querystage_name
required
스테이지명
Example : test-stage
stringNone
querystart_date
required
시작일자
Example : 2025-07-01
stringNone
queryend_date
required
종료일자
Example : 2025-07-30
stringNone

Responses

HTTP CodeDescriptionSchema
200OKReportListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/apis/{api_id}/reports?stage_name={stage_name}&start_date={start_date}&end_date={end_date}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.2"

Example HTTP response

Response 200

{
    "count": 20,
    "reports": [
        {
            "call_count": "10",
            "date": "",
            "error_4xx_count": "10",
            "error_5xx_count": "10",
            "integration_latency": "10",
            "latency": "10"
        }
    ],
    "top_resources": [
        {
            "call_count": "10",
            "name": "test",
            "path": "/test/test1",
            "type": "GET"
        }
    ]
}

1.30.2 - 1.1

get /v1/apis/{api_id}/reports

Description

Report 목록을 조회한다

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
pathapi_id
required
Api ID
Example : 27bb070b564349f8a31cc60734cc36a5
stringNone
querystage_name
required
스테이지명
Example : test-stage
stringNone
querystart_date
required
시작일자
Example : 2025-07-01
stringNone
queryend_date
required
종료일자
Example : 2025-07-30
stringNone

Responses

HTTP CodeDescriptionSchema
200OKReportListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/apis/{api_id}/reports?stage_name={stage_name}&start_date={start_date}&end_date={end_date}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.1"

Example HTTP response

Response 200

{
    "count": 20,
    "reports": [
        {
            "call_count": "10",
            "date": "",
            "error_4xx_count": "10",
            "error_5xx_count": "10",
            "integration_latency": "10",
            "latency": "10"
        }
    ],
    "top_resources": [
        {
            "call_count": "10",
            "name": "test",
            "path": "/test/test1",
            "type": "GET"
        }
    ]
}

1.31 - List Resources

1.31.1 - 1.2

get /v1/apis/{api_id}/resources

Description

리소스 목록을 조회한다

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathapi_id
required
Api ID
Example : 27bb070b564349f8a31cc60734cc36a5
stringNone

Responses

HTTP CodeDescriptionSchema
200OKResourceListResponseV1Dot2
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/apis/{api_id}/resources

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.2"

Example HTTP response

Response 200

{
    "resources": [
        {
            "id": "27bb070b564349f8a31cc60734cc36a5",
            "methods": [
                {
                    "api_key_required": false,
                    "endpoint_url": "https://127.0.0.1:8000",
                    "function_id": "27bb070b564349f8a31cc60734cc36a5",
                    "function_name": "test-function",
                    "integration_type": "HTTP",
                    "method_type": "GET",
                    "privatelink_endpoint_id": "27bb070b564349f8a31cc60734cc36a5",
                    "query_strings": "{'param1': 'value1', 'param2': 'value2'}",
                    "request_headers": "{'test1' : True}",
                    "request_path": "{users}",
                    "srn": "srn:dev2::9b7653f6f47a42e38055934a0575a813:kr-west1::apiateway:method/151a6c15922747faaaae7f70/*/GET/test"
                }
            ],
            "parent_id": "27bb070b564349f8a31cc60734cc36a5",
            "path": "/test/test1",
            "path_part": "test"
        }
    ]
}

1.31.2 - 1.1

get /v1/apis/{api_id}/resources

Description

리소스 목록을 조회한다

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
pathapi_id
required
Api ID
Example : 27bb070b564349f8a31cc60734cc36a5
stringNone

Responses

HTTP CodeDescriptionSchema
200OKResourceListResponseV1Dot1
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/apis/{api_id}/resources

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.1"

Example HTTP response

Response 200

{
    "resources": [
        {
            "id": "27bb070b564349f8a31cc60734cc36a5",
            "methods": [
                {
                    "api_key_required": false,
                    "endpoint_url": "https://127.0.0.1:8000",
                    "function_id": "27bb070b564349f8a31cc60734cc36a5",
                    "function_name": "test-function",
                    "integration_type": "HTTP",
                    "method_type": "GET",
                    "query_strings": "{'param1': 'value1', 'param2': 'value2'}",
                    "request_headers": "{'test1' : True}",
                    "request_path": "{users}",
                    "srn": "srn:dev2::9b7653f6f47a42e38055934a0575a813:kr-west1::apiateway:method/151a6c15922747faaaae7f70/*/GET/test"
                }
            ],
            "parent_id": "27bb070b564349f8a31cc60734cc36a5",
            "path": "/test/test1",
            "path_part": "test"
        }
    ]
}

1.31.3 - 1.0

get /v1/apis/{api_id}/resources

Description

리소스 목록을 조회한다

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathapi_id
required
Api ID
Example : 27bb070b564349f8a31cc60734cc36a5
stringNone

Responses

HTTP CodeDescriptionSchema
200OKResourceListResponse
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/apis/{api_id}/resources

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.0"

Example HTTP response

Response 200

{
    "resources": [
        {
            "id": "27bb070b564349f8a31cc60734cc36a5",
            "methods": [
                {
                    "endpoint_url": "https://127.0.0.1:8000",
                    "function_id": "27bb070b564349f8a31cc60734cc36a5",
                    "integration_type": "HTTP",
                    "method_type": "GET",
                    "query_strings": "{'param1': 'value1', 'param2': 'value2'}",
                    "request_headers": "{'test1' : True}",
                    "request_path": "{users}",
                    "srn": "srn:dev2::9b7653f6f47a42e38055934a0575a813:kr-west1::apiateway:method/151a6c15922747faaaae7f70/*/GET/test"
                }
            ],
            "parent_id": "27bb070b564349f8a31cc60734cc36a5",
            "path": "/test/test1",
            "path_part": "test"
        }
    ]
}

1.32 - List Stages

1.32.1 - 1.2

get /v1/apis/{api_id}/stages

Description

스테이지 목록을 조회한다

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathapi_id
required
Api ID
Example : 27bb070b564349f8a31cc60734cc36a5
stringNone

Responses

HTTP CodeDescriptionSchema
200OKStageListResponseV1Dot1
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/apis/{api_id}/stages

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.2"

Example HTTP response

Response 200

{
    "stages": [
        {
            "active_deployment": "2024-05-17T00:23:17Z",
            "allow_credentials": true,
            "allow_headers": [
                "Content-Type",
                "Authorization"
            ],
            "allow_methods": [
                "GET",
                "POST",
                "PUT",
                "PATCH"
            ],
            "allow_origins": [
                "*"
            ],
            "api_id": "27bb070b564349f8a31cc60734cc36a5",
            "api_key_required": false,
            "api_summary": [
                {
                    "methods": [
                        {
                            "api_key_required": true,
                            "type": "GET"
                        },
                        {
                            "api_key_required": false,
                            "type": "POST"
                        }
                    ],
                    "path": "/"
                },
                {
                    "methods": [
                        {
                            "api_key_required": true,
                            "type": "GET"
                        },
                        {
                            "api_key_required": false,
                            "type": "POST"
                        }
                    ],
                    "path": "/test"
                }
            ],
            "cors_enabled": false,
            "created_at": "2026-02-11T06:40:19.082Z",
            "deployment_id": "27bb070b564349f8a31cc60734cc36a5",
            "description": "description",
            "expose_headers": [
                "test1",
                "test2"
            ],
            "invoke_url": "http://test.com/stg",
            "jwt_enabled": false,
            "max_age": 3600,
            "name": "test-stage",
            "usage_plan_api_keys": [],
            "usage_plan_id": "27bb070b564349f8a31cc60734cc36a5",
            "usage_plan_limit": 10,
            "usage_plan_name": "usage-plan-name",
            "usage_plan_rate": "day"
        }
    ]
}

1.32.2 - 1.1

get /v1/apis/{api_id}/stages

Description

스테이지 목록을 조회한다

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
pathapi_id
required
Api ID
Example : 27bb070b564349f8a31cc60734cc36a5
stringNone

Responses

HTTP CodeDescriptionSchema
200OKStageListResponseV1Dot1
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/apis/{api_id}/stages

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.1"

Example HTTP response

Response 200

{
    "stages": [
        {
            "active_deployment": "2024-05-17T00:23:17Z",
            "allow_credentials": true,
            "allow_headers": [
                "Content-Type",
                "Authorization"
            ],
            "allow_methods": [
                "GET",
                "POST",
                "PUT",
                "PATCH"
            ],
            "allow_origins": [
                "*"
            ],
            "api_id": "27bb070b564349f8a31cc60734cc36a5",
            "api_key_required": false,
            "api_summary": [
                {
                    "methods": [
                        {
                            "api_key_required": true,
                            "type": "GET"
                        },
                        {
                            "api_key_required": false,
                            "type": "POST"
                        }
                    ],
                    "path": "/"
                },
                {
                    "methods": [
                        {
                            "api_key_required": true,
                            "type": "GET"
                        },
                        {
                            "api_key_required": false,
                            "type": "POST"
                        }
                    ],
                    "path": "/test"
                }
            ],
            "cors_enabled": false,
            "created_at": "2026-02-11T06:40:19.082Z",
            "deployment_id": "27bb070b564349f8a31cc60734cc36a5",
            "description": "description",
            "expose_headers": [
                "test1",
                "test2"
            ],
            "invoke_url": "http://test.com/stg",
            "jwt_enabled": false,
            "max_age": 3600,
            "name": "test-stage",
            "usage_plan_api_keys": [],
            "usage_plan_id": "27bb070b564349f8a31cc60734cc36a5",
            "usage_plan_limit": 10,
            "usage_plan_name": "usage-plan-name",
            "usage_plan_rate": "day"
        }
    ]
}

1.32.3 - 1.0

get /v1/apis/{api_id}/stages

Description

스테이지 목록을 조회한다

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathapi_id
required
Api ID
Example : 27bb070b564349f8a31cc60734cc36a5
stringNone

Responses

HTTP CodeDescriptionSchema
200OKStageListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/apis/{api_id}/stages

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.0"

Example HTTP response

Response 200

{
    "stages": [
        {
            "active_deployment": "2024-05-17T00:23:17Z",
            "allow_credentials": true,
            "allow_headers": [
                "Content-Type",
                "Authorization"
            ],
            "allow_methods": [
                "GET",
                "POST",
                "PUT",
                "PATCH"
            ],
            "allow_origins": [
                "*"
            ],
            "api_id": "27bb070b564349f8a31cc60734cc36a5",
            "api_summary": [
                {
                    "methods": [
                        "GET",
                        "POST"
                    ],
                    "path": "/"
                },
                {
                    "methods": [
                        "GET",
                        "POST"
                    ],
                    "path": "/test"
                }
            ],
            "cors_enabled": false,
            "created_at": "2026-02-11T06:40:18.594Z",
            "deployment_id": "27bb070b564349f8a31cc60734cc36a5",
            "expose_headers": [
                "test1",
                "test2"
            ],
            "invoke_url": "http://test.com/stg",
            "ip_restriction_enabled": false,
            "jwt_enabled": false,
            "max_age": 3600,
            "name": "test-stage"
        }
    ]
}

1.33 - List Usage Plans

1.33.1 - 1.2

get /v1/apis/{api_id}/usage-plans

Description

사용량 정책 목록을 조회한다

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathapi_id
required
Api ID
Example : 27bb070b564349f8a31cc60734cc36a5
stringNone
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryname
optional
이름
Example : usage-plan-name
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKUsagePlanListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/apis/{api_id}/usage-plans

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.2"

Example HTTP response

Response 200

{
    "count": 20,
    "usage_plans": [
        {
            "connected_api_keys": [
                "key1",
                "key2"
            ],
            "created_at": "2026-02-11T06:40:19.345Z",
            "description": "description",
            "id": "27bb070b564349f8a31cc60734cc36a5",
            "limit": 10,
            "name": "usage-plan-name",
            "rate": "day"
        }
    ]
}

1.33.2 - 1.1

get /v1/apis/{api_id}/usage-plans

Description

사용량 정책 목록을 조회한다

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
pathapi_id
required
Api ID
Example : 27bb070b564349f8a31cc60734cc36a5
stringNone
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryname
optional
이름
Example : usage-plan-name
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKUsagePlanListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/apis/{api_id}/usage-plans

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.1"

Example HTTP response

Response 200

{
    "count": 20,
    "usage_plans": [
        {
            "connected_api_keys": [
                "key1",
                "key2"
            ],
            "created_at": "2026-02-11T06:40:19.345Z",
            "description": "description",
            "id": "27bb070b564349f8a31cc60734cc36a5",
            "limit": 10,
            "name": "usage-plan-name",
            "rate": "day"
        }
    ]
}

1.34 - Request PrivateLink Endpoint

1.34.1 - 1.2

put /v1/privatelink-endpoints/{privatelink_endpoint_id}/request

Description

PrivateLink 엔드포인트를 요청한다

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathprivatelink_endpoint_id
required
PrivateLink 엔드포인트 ID
Example : 27bb070b564349f8a31cc60734cc36a5
stringNone
bodybody
required

PrivateLinkEndpointRequestRequest

Responses

HTTP CodeDescriptionSchema
200OKPrivateLinkEndpointShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/privatelink-endpoints/{privatelink_endpoint_id}/request

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.2"

Request body

{
    "type": "CANCEL"
}

Example HTTP response

Response 200

{
    "privatelink_endpoint": {
        "created_at": "2024-05-17T00:23:17Z",
        "description": "description",
        "id": "27bb070b564349f8a31cc60734cc36a5",
        "name": "endpoint",
        "privatelink_service_id": "27bb070b564349f8a31cc60734cc36a5",
        "status": "CANCELED"
    }
}

1.35 - Set Access Control

1.35.1 - 1.2

put /v1/apis/{api_id}/access-controls/{access_control_id}

Description

접근제어를 수정한다

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathapi_id
required
Api ID
Example :
stringNone
pathaccess_control_id
required
접근제어 ID
Example :
stringNone
bodybody
required

AccessControlSetRequest

Responses

HTTP CodeDescriptionSchema
200OKAccessControlShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/apis/{api_id}/access-controls/{access_control_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
[...]
